{-# LANGUAGE CPP #-}
{-# OPTIONS_GHC -fno-warn-missing-import-lists #-}
{-# OPTIONS_GHC -fno-warn-implicit-prelude #-}
module Paths_lambda_calc (
    version,
    getBinDir, getLibDir, getDynLibDir, getDataDir, getLibexecDir,
    getDataFileName, getSysconfDir
  ) where

import qualified Control.Exception as Exception
import Data.Version (Version(..))
import System.Environment (getEnv)
import Prelude

#if defined(VERSION_base)

#if MIN_VERSION_base(4,0,0)
catchIO :: IO a -> (Exception.IOException -> IO a) -> IO a
#else
catchIO :: IO a -> (Exception.Exception -> IO a) -> IO a
#endif

#else
catchIO :: IO a -> (Exception.IOException -> IO a) -> IO a
#endif
catchIO = Exception.catch

version :: Version
version = Version [0,1,0,0] []
bindir, libdir, dynlibdir, datadir, libexecdir, sysconfdir :: FilePath

bindir     = "/home/brent/teaching/365/tools/lc/.stack-work/install/x86_64-linux-tinfo6/98bf077a72244e9fbd2ad8a3496bfdc7525cfd4aea0ee79cae7a04acd4eeeb67/8.2.2/bin"
libdir     = "/home/brent/teaching/365/tools/lc/.stack-work/install/x86_64-linux-tinfo6/98bf077a72244e9fbd2ad8a3496bfdc7525cfd4aea0ee79cae7a04acd4eeeb67/8.2.2/lib/x86_64-linux-ghc-8.2.2/lambda-calc-0.1.0.0-1MhbquwUzciKnsQrkzcFf9-lc"
dynlibdir  = "/home/brent/teaching/365/tools/lc/.stack-work/install/x86_64-linux-tinfo6/98bf077a72244e9fbd2ad8a3496bfdc7525cfd4aea0ee79cae7a04acd4eeeb67/8.2.2/lib/x86_64-linux-ghc-8.2.2"
datadir    = "/home/brent/teaching/365/tools/lc/.stack-work/install/x86_64-linux-tinfo6/98bf077a72244e9fbd2ad8a3496bfdc7525cfd4aea0ee79cae7a04acd4eeeb67/8.2.2/share/x86_64-linux-ghc-8.2.2/lambda-calc-0.1.0.0"
libexecdir = "/home/brent/teaching/365/tools/lc/.stack-work/install/x86_64-linux-tinfo6/98bf077a72244e9fbd2ad8a3496bfdc7525cfd4aea0ee79cae7a04acd4eeeb67/8.2.2/libexec/x86_64-linux-ghc-8.2.2/lambda-calc-0.1.0.0"
sysconfdir = "/home/brent/teaching/365/tools/lc/.stack-work/install/x86_64-linux-tinfo6/98bf077a72244e9fbd2ad8a3496bfdc7525cfd4aea0ee79cae7a04acd4eeeb67/8.2.2/etc"

getBinDir, getLibDir, getDynLibDir, getDataDir, getLibexecDir, getSysconfDir :: IO FilePath
getBinDir = catchIO (getEnv "lambda_calc_bindir") (\_ -> return bindir)
getLibDir = catchIO (getEnv "lambda_calc_libdir") (\_ -> return libdir)
getDynLibDir = catchIO (getEnv "lambda_calc_dynlibdir") (\_ -> return dynlibdir)
getDataDir = catchIO (getEnv "lambda_calc_datadir") (\_ -> return datadir)
getLibexecDir = catchIO (getEnv "lambda_calc_libexecdir") (\_ -> return libexecdir)
getSysconfDir = catchIO (getEnv "lambda_calc_sysconfdir") (\_ -> return sysconfdir)

getDataFileName :: FilePath -> IO FilePath
getDataFileName name = do
  dir <- getDataDir
  return (dir ++ "/" ++ name)
